/* JFlexiPix - Java implementation of FlexiPix output library
 *
 * Copyright 2010-2011 Stefan Schuermans <stefan blinkenarea org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package org.blinkenarea.JFlexiPix.examples;

import org.blinkenarea.JFlexiPix.*;

public class Msg implements MessageIf
{
  /// constructor
  public Msg()
  {
  }

  /**
   * @brief message callback
   * @param[in] type message type
   * @param[in] txt message text
   */
  public void message(MsgType type, String txt)
  {
    switch (type)
    {
      case Err:  System.out.print("error: ");   break;
      case Warn: System.out.print("warning: "); break;
      case Info: System.out.print("info: ");    break;
    }
    System.out.print(txt);
  }
}

